Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.jtransforms.fft
Class BenchmarkDoubleFFT

    java.lang.Object
      edu.emory.mathcs.jtransforms.fft.BenchmarkDoubleFFT

    public class BenchmarkDoubleFFT

extends Object

Benchmark of double precision FFT's

Author:
  Piotr Wendykier (piotr.wendykier@gmail.com)

Method Summary
`static void` | `benchmarkComplexForward_1D()`
`static void` | `benchmarkComplexForward_2D_input_1D()`
`static void` | `benchmarkComplexForward_2D_input_2D()`
`static void` | `benchmarkComplexForward_3D_input_1D()`
`static void` | `benchmarkComplexForward_3D_input_3D()`
`static void` | `benchmarkRealForward_1D()`
`static void` | `benchmarkRealForward_2D_input_1D()`
`static void` | `benchmarkRealForward_2D_input_2D()`
`static void` | `benchmarkRealForward_3D_input_1D()`
`static void` | `benchmarkRealForward_3D_input_3D()`
`static void` | `main(String[] args)`
`static void` | `parseArguments(String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseArguments

    public static void parseArguments(String[] args)

### benchmarkComplexForward_1D

    public static void benchmarkComplexForward_1D()

### benchmarkRealForward_1D

    public static void benchmarkRealForward_1D()

### benchmarkComplexForward_2D_input_1D

    public static void benchmarkComplexForward_2D_input_1D()

### benchmarkComplexForward_2D_input_2D

    public static void benchmarkComplexForward_2D_input_2D()

### benchmarkRealForward_2D_input_1D

    public static void benchmarkRealForward_2D_input_1D()

### benchmarkRealForward_2D_input_2D

    public static void benchmarkRealForward_2D_input_2D()

### benchmarkComplexForward_3D_input_1D

    public static void benchmarkComplexForward_3D_input_1D()

### benchmarkComplexForward_3D_input_3D

    public static void benchmarkComplexForward_3D_input_3D()

### benchmarkRealForward_3D_input_1D

    public static void benchmarkRealForward_3D_input_1D()

### benchmarkRealForward_3D_input_3D

    public static void benchmarkRealForward_3D_input_3D()

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD